Manual do PHP
Anterior |  | Próxima

# yp_match

(PHP 3 >= 3.0.7, PHP 4, PHP 5 <= 5.0.4)

yp_match -- Returns the matched line

## Descrição

string yp_match ( string domain, string map, string key )

Returns the value associated with the passed `key` out of the specified `map`.

## Parâmetros

`domain`

  The NIS domain name.

`map`

  The NIS map.

`key`

  This key must be exact.

## Valores de retornado

Returns the value, or `FALSE` on errors.

## Exemplos

Exemplo 1. Example for NIS match
`<?php $entry = yp_match($domain, "passwd.byname", "joe"); echo "Matched entry is: " . $entry; ?>`
O exemplo acima irá imprimir algo similar a:
    joe:##joe:11111:100:Joe User:/home/j/joe:/usr/local/bin/bash

## Veja também

yp_get_default_domain()

Anterior | Principal | Próxima
yp_master | Acima | yp_next